Bug 827818 - Review Request: seivot - Benchmarking tool for backup programs
Review Request: seivot - Benchmarking tool for backup programs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On: 827804
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 03:33 EDT by Michel Alexandre Salim
Modified: 2013-02-27 09:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 15:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2012-06-03 03:33:06 EDT
Spec URL: http://salimma.fedorapeople.org/specs/admin/seivot.spec
SRPM URL: http://salimma.fedorapeople.org/specs/admin/seivot-1.16-1.fc17.src.rpm
Description:
Seivot is a program for benchmarking backup software. It was written
for developing Obnam, but it should be possible to adapt it to also
support other on-disk backup solutions, such as rsync or rdiff-backup.

Fedora Account System Username: salimma
Comment 1 Peter Lemenkov 2012-06-06 06:34:28 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-06 06:46:14 EDT
Koji scratchbuild for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4132097

You didn't package seivots-to-csv - is it intentional? If no - consider packaging it - it looks useful. This is NOT a blocker since I don't know how a typical workflow involving seivot looks like so feel free to reject this proposal.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/Desktop: rpmlint seivot-1.16-1.fc18.*
seivot.noarch: W: spelling-error Summary(en_US) Benchmarking -> Bench marking, Bench-marking, Benchmark
seivot.noarch: W: spelling-error %description -l en_US benchmarking -> bench marking, bench-marking, benchmark
seivot.noarch: W: spelling-error %description -l en_US rsync -> sync, r sync
seivot.noarch: W: spelling-error %description -l en_US rdiff -> riff, diff, r diff
seivot.src: W: spelling-error Summary(en_US) Benchmarking -> Bench marking, Bench-marking, Benchmark
seivot.src: W: spelling-error %description -l en_US benchmarking -> bench marking, bench-marking, benchmark
seivot.src: W: spelling-error %description -l en_US rsync -> sync, r sync
seivot.src: W: spelling-error %description -l en_US rdiff -> riff, diff, r diff
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv3 or later, as stated in the source files).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum seivot_1.16.orig.tar.gz*
689280ac368f292dbfb5c0ba93bd9388a489f404bd5b296a1d9db8f5e58e1441  seivot_1.16.orig.tar.gz
689280ac368f292dbfb5c0ba93bd9388a489f404bd5b296a1d9db8f5e58e1441  seivot_1.16.orig.tar.gz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 3 Michel Alexandre Salim 2012-06-06 06:52:01 EDT
(In reply to comment #2)
> Koji scratchbuild for Rawhide:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4132097
> 
> You didn't package seivots-to-csv - is it intentional?

Not intentional - thanks for catching it. I was relying on setup.py and that tool wasn't listed. Will patch setup.py and send it to upstream.

Thanks for the review!

New Package SCM Request
=======================
Package Name: seivot
Short Description: Benchmarking tool for backup programs
Owners: salimma
Branches: f16 f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-06 09:26:22 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-06-07 00:16:34 EDT
seivot-1.16-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/seivot-1.16-2.fc16
Comment 6 Fedora Update System 2012-06-07 00:16:44 EDT
seivot-1.16-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/seivot-1.16-2.fc17
Comment 7 Fedora Update System 2012-06-07 19:08:06 EDT
seivot-1.16-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-06-20 15:23:24 EDT
seivot-1.16-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-06-20 15:26:09 EDT
seivot-1.16-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Michel Alexandre Salim 2013-02-27 04:04:35 EST
Package Change Request
======================
Package Name: seivot
New Branches: el6
Owners: salimma
Comment 11 Gwyn Ciesla 2013-02-27 09:24:39 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.